using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkRelationRefundRpcResult
{

    /*
        返回信息
    */
    private string? resultMsg;


    /*
        真正的业务数据结构
    */
    private TaobaoTbkRelationRefundPageResult? data;


    /*
        接口返回值信息，跟rpc架构保持一致
    */
    private long? resultCode;


    /*
        业务错误信息
    */
    private string? bizErrorDesc;


    /*
        业务错误码 101, 102,103
    */
    private long? bizErrorCode;



    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

    [JsonPropertyName("data")]
    public TaobaoTbkRelationRefundPageResult? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("result_code")]
    public long? ResultCode
    {
        get => resultCode;
        set => this.resultCode = value;
    }

    [JsonPropertyName("biz_error_desc")]
    public string? BizErrorDesc
    {
        get => bizErrorDesc;
        set => this.bizErrorDesc = value;
    }

    [JsonPropertyName("biz_error_code")]
    public long? BizErrorCode
    {
        get => bizErrorCode;
        set => this.bizErrorCode = value;
    }

}

